---

- name: Deploy yakafet docker-compose-django
  ansible.builtin.include_role:
    name: docker_compose_django
  vars:
    docker_compose_django_project_name: "{{ yakafet_project_name }}"

    docker_compose_django_docker_repository: "{{ yakafet_docker_repository }}"
    docker_compose_django_docker_tag: "{{ yakafet_docker_tag }}"

    docker_compose_django_domain: "{{ yakafet_domain }}"


    docker_compose_django_backend_enable: true

    docker_compose_django_backend_allowed_hosts:
      - "{{ yakafet_domain }}"
    docker_compose_django_backend_admins: "{{ yakafet_admins }}"
    docker_compose_django_backend_managers: ""
    docker_compose_django_backend_secret_key: "{{ yakafet_backend_secret_key }}"

    docker_compose_django_backend_db_host: "{{ yakafet_backend_db_host }}"
    docker_compose_django_backend_db_name: "{{ yakafet_backend_db_name }}"
    docker_compose_django_backend_db_user: "{{ yakafet_backend_db_user }}"
    docker_compose_django_backend_db_password: "{{ yakafet_backend_db_password }}"

    docker_compose_django_backend_s3_endpoint: "{{ yakafet_backend_s3_endpoint }}"
    docker_compose_django_backend_s3_bucket: "{{ yakafet_backend_s3_bucket }}"
    docker_compose_django_backend_s3_custom_domain: "{{ yakafet_backend_s3_custom_domain }}"
    docker_compose_django_backend_s3_access_key: "{{ yakafet_backend_s3_access_key }}"
    docker_compose_django_backend_s3_secret_key: "{{ yakafet_backend_s3_secret_key }}"

    docker_compose_django_backend_redis_host: "{{ yakafet_backend_redis_host }}"
    docker_compose_django_backend_redis_port: "{{ yakafet_backend_redis_port }}"

    docker_compose_django_backend_email_from: "{{ yakafet_backend_email_from }}"
    docker_compose_django_backend_email_host: "{{ yakafet_backend_email_host }}"
    docker_compose_django_backend_email_port: "{{ yakafet_backend_email_port }}"
    docker_compose_django_backend_email_user: "{{ yakafet_backend_email_user }}"
    docker_compose_django_backend_email_password: "{{ yakafet_backend_email_password }}"
    docker_compose_django_backend_email_tls: "{{ yakafet_backend_email_tls }}"
    docker_compose_django_backend_email_server_from: "{{ yakafet_backend_email_server_from | default(omit) }}"

    docker_compose_django_backend_override:
      environment:
        AUTHENTIK_ENDPOINT: "{{ yakafet_backend_authentik_endpoint }}"
      secrets:
        - authentik-token


    docker_compose_django_frontend_enable: false


    docker_compose_django_oidc_enable: true

    docker_compose_django_oidc_url: "{{ yakafet_oidc_url }}"
    docker_compose_django_oidc_client_id: "{{ yakafet_oidc_client_id }}"
    docker_compose_django_oidc_client_secret: "{{ yakafet_oidc_client_secret }}"


    docker_compose_django_secrets:
      authentik-token:
        env: AUTHENTIK_TOKEN_FILE
        value: "{{ yakafet_backend_authentik_token }}"
